Upstream information

CVE-2021-25289 at MITRE

Description

An issue was discovered in Pillow before 8.1.1. TiffDecode has a heap-based buffer overflow when decoding crafted YCbCr files because of certain interpretation conflicts with LibTIFF in RGBA mode. NOTE: this issue exists because of an incomplete fix for CVE-2020-35654.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 9.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183103 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Package Hub 15 SP6
  • python3-Pillow >= 7.2.0-150300.3.15.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP6-2024-1673
openSUSE Leap 15.2
  • python3-CairoSVG >= 2.5.1-lp152.2.3.1
  • python3-Pillow >= 8.3.1-lp152.5.3.1
  • python3-Pillow-tk >= 8.3.1-lp152.5.3.1
Patchnames:
openSUSE-2021-1134
openSUSE Leap 15.5
  • python3-Pillow >= 7.2.0-150300.3.15.1
  • python3-Pillow-tk >= 7.2.0-150300.3.15.1
Patchnames:
openSUSE-SLE-15.5-2024-1673
openSUSE Tumbleweed
  • python310-Pillow >= 10.3.0-1.1
  • python310-Pillow-tk >= 10.3.0-1.1
  • python311-Pillow >= 10.3.0-1.1
  • python311-Pillow-tk >= 10.3.0-1.1
  • python312-Pillow >= 10.3.0-1.1
  • python312-Pillow-tk >= 10.3.0-1.1
  • python36-Pillow >= 8.3.2-1.2
  • python36-Pillow-tk >= 8.3.2-1.2
  • python38-Pillow >= 8.3.2-1.2
  • python38-Pillow-tk >= 8.3.2-1.2
  • python39-Pillow >= 8.3.2-1.2
  • python39-Pillow-tk >= 8.3.2-1.2
Patchnames:
openSUSE Tumbleweed GA python310-Pillow-10.3.0-1.1
openSUSE Tumbleweed GA python36-Pillow-8.3.2-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 python-Pillow Not affected
SUSE Linux Enterprise Desktop 15 SP6 python-Pillow Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 python-Pillow Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 python-Pillow Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP6 python-Pillow Released
SUSE Linux Enterprise Module for Python 3 15 SP5 python-Pillow Not affected
SUSE Linux Enterprise Module for Python 3 15 SP6 python-Pillow Not affected
SUSE Linux Enterprise Server 15 SP5 python-Pillow Not affected
SUSE Linux Enterprise Server 15 SP6 python-Pillow Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 python-Pillow Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 python-Pillow Not affected
SUSE Manager Proxy 4.3 python-Pillow Not affected
SUSE Manager Retail Branch Server 4.3 python-Pillow Not affected
SUSE Manager Server 4.3 python-Pillow Not affected
openSUSE Leap 15.5 python-Pillow Released
openSUSE Leap 15.6 python-Pillow Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 python-Pillow Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 python-Pillow Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS python-Pillow Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS python-Pillow Not affected
SUSE Linux Enterprise Module for Python 3 15 SP4 python-Pillow Not affected
SUSE Linux Enterprise Server 15 SP4 python-Pillow Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS python-Pillow Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 python-Pillow Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 python-Pillow Not affected
SUSE Enterprise Storage 4 python-Pillow Not affected
SUSE OpenStack Cloud 7 python-Pillow Not affected
SUSE OpenStack Cloud 8 python-Pillow Not affected
SUSE OpenStack Cloud 9 python-Pillow Not affected
SUSE OpenStack Cloud Crowbar 8 python-Pillow Not affected
SUSE OpenStack Cloud Crowbar 9 python-Pillow Not affected
openSUSE Leap 15.3 python-Pillow Released


SUSE Timeline for this CVE

CVE page created: Wed Mar 3 18:06:26 2021
CVE page last modified: Thu Jun 13 17:32:02 2024